Subject: Electric Skates

From: Lawrence Taylor <[email-masked]>
Date: 2 Nov 1995 12:11:33 GMT

Hello

Fall is here and Atlantic Torpedos should be around. This is the largest 
electric skate and I have actually met one underwater, a 5'6" monster. I 
would like to know more about the fish and would appreciate more info on 
this species, or skates in general. I know skates are not well studied, 
but any info, anecdotes, experiences would be greatly appreciated. I 
live in Nova Scotia, Canada, and hope to film these critters within the 
next month. They seem to like the drop in water temp.

Regards     Lawrence Taylor

e-mail: [email-masked]